#ifndef HALLGATO_HPP_INCLUDED
#define HALLGATO_HPP_INCLUDED

#include <string>

class Hallgato // hallgat osztlya
{
protected:
    std::string _nev; // a hallgat neve
    int _kedv; // a hallgat kedve

    Hallgato(std::string nev, int kedv) : _nev(nev), _kedv(kedv) { }
public:
    std::string nev() const { return _nev; } // nv lekrdezse
    int kedv() const { return _kedv; } // kedv lekrdezse
    virtual void tanulonap() = 0; // tanulnap eltelse
    virtual void vizsganap() = 0; // vizsganap eltelse
    virtual void pihenonap() = 0; // pihennap eltelse
};

#endif // HALLGATO_HPP_INCLUDED
